[Résolu] Upgrade à partir de la 5.4

emmanuel_semmanuel_s Membres
11 mai modifié dans Entraide
Bonjour,

Après une (top) longue période d'inactivité, je souhaite refaire vivre mon blog. Première étape, L'upgrader avec la dernière version de PluXml sachant qu'il est pour le moment en 5.4

J'ai aussi rapatrié toute l'arborescence en local pour faire ça sans casser la version online. Mais la version "locale" ne marche que si je désactive tous les plugins !

du coup, toujours en local j'ai installé la dernière version de pluXml sur laquelle j'ai "remplacé" le directory 'data' par celui actuellement en ligne mais cela ne fonctionne pas. Je suis peut-être dans une version trop ancienne.

Bref, je ne m'y prends probablement comme un pied et vos conseils sont les bienvenus… (je n'ai rien trouvé sur le sujet dans le forum)

Merci
Mots clés:

Réponses

  • Tes plugins ont certainement besoin d'une mise à jour.

    Par précaution, je ferai à la mise à jour vers la version 5.6 en désactivant tous les plugins, en revenant au thème par défaut et en désactivant la ré-écriture d'URLs. Si c'est Ok,
    - continuer vers la version 5.7
    - activer les plugins en faisant les mises à jour et en retirant les plugins obsolètes
    - revenir à ton thème
    Il faut régler tous les problèmes à chaque étape.

    Bien sûr faire une sauvegarde du dossier data avant toute modification. Tu peux le dupliquer dans un autre dossier. Le contenu de data est modifié à chaque version.
  • Merci de ton retour rapide et précis.

    Pas contre, je n'arrive pas à trouver où downloader la version 5.6 (la page 'ressources' du site retourne une erreur)
  • jack31jack31 Membres
    décembre 2018 modifié
    @emmanuel_s

    Au cas où, si tu as des problèmes aprés la mise à jour, ouvre le fichier...
    [== Indéfini ==]
    /data/configuration/plugins.xml
    

    Et supprime tous les plugins que tu trouve.

    Par exemple...
    [== Indéfini ==]
    <plugin name="plxMyAllArchive" scope=""></plugin>
    	<plugin name="plxMyBreadcrumb" scope=""></plugin>
    	<plugin name="plxMyPrism" scope=""></plugin>
    	<plugin name="plxMyScrollToTop" scope=""></plugin>
    	<plugin name="plxMySearch" scope=""></plugin>
    	<plugin name="plxMyContact" scope=""></plugin>
    	<plugin name="plxMyCookieChoices" scope=""></plugin>
    	<plugin name="plxMyGoogleAnalytics" scope=""></plugin>
    	<plugin name="plxMyMailComment" scope=""></plugin>
    	<plugin name="plxMyMinify" scope=""></plugin>
    	<plugin name="plxMyPluginDownloader" scope=""></plugin>
    	<plugin name="plxMyPlugins" scope=""></plugin>
    	<plugin name="bidouille" scope=""></plugin>
    

    Vire les lignes faisant mention d'un plugin.
  • Pour télécharger PluXml 5.6, clique sur le lien ci-dessous :
    https://github.com/pluxml/PluXml/archive/5.6.zip

    Pour désactiver tous les plugins, dans l'ancienne version, se connecter en tant qu'administrateur entrée plugins dans le menu de gauche, cocher tous les plugins actifs, en haut dans la boite déroulante, sélectionner désactiver les plugins.

    Dézipper la nouvelle version. renommer le dossier PluXml-5.6 en PluXml si besoin.
  • Carramba, je suis toujours coincé

    Comme conseillé, j'ai voulu faire version par version en commençant par un upgrade de 5.4 en 5.5...
    mais j'obtiens un message
    Mise à jour PluXml 5.5
    Applications des mises à jour version 5.5
    Migration des commentaires
    Erreur pendant la migration des commentaires
    Une erreur s'est produite pendant la mise à jour.

    Pour arriver là j'ai :
    * dezippé un 5.5 à partir de https://github.com/pluxml/PluXml/archive/5.5.zip
    * remplacé le directory data de cette installation avec le data de mon vieux blog
    (tous les plugins ont été virés)

    A tout hasard, j'ai essayé avec une 5.6, --> même problème.
  • emmanuel_semmanuel_s Membres
    décembre 2018 modifié
    Oups, Je m'auto réponds (cela pourrait un jour aider quelqu'un)

    En faisant un chown -R www-data de mon installation toute fraîche (5.5), cela marche déjà nettement mieux !
    Je continue mon petit chemin et vous tiens au courant :)
    [EDIT 19/12/18 16:31]
    * Upgrade 5.4 -> 5.5 -> 5.6 -> 5.7 ok
    * recupération du theme : ok
    * il ne reste plus qu'à :
    * vérifier quels sont les plugins à remettre/mettre à jour/jeter
    * remettre en ligne
    [/EDIT]
    Merci à tous les 2
  • bazooka07 a écrit:
    Pour télécharger PluXml 5.6, clique sur le lien ci-dessous :
    https://github.com/pluxml/PluXml/archive/5.6.zip

    Il se trouve que ça m'intéresse pour lister les archives sur mon nouveau site consacré aux ressources PluXml.

    Où peux-on trouver ce genre d'archives Bazooka ?
  • P3terP3ter Responsable de PluXml
    Bonjour,

    Les archives des différentes versions de PluXml sont disponibles ici : https://github.com/pluxml/PluXml/releases
  • P3ter a écrit:
    Les archives des différentes versions de PluXml sont disponibles ici

    Hé bé, ce n'est pas faute d'avoir cherché.

    Merci P3ter. :)
Connectez-vous ou Inscrivez-vous pour répondre.